/*
    This is part of mx1rever.
    Hardware testing procedures, all the actions performed by mx1rever are
    containde in this file.
    Copyright (C) 2007  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 */

#ifndef __TEST__
#define __TEST__	1


/***************************************************************************/
/* define pubblici */

/***************************************************************************/
/* strutture pubbliche */

/***************************************************************************/
/* variabili pubbliche */

/***************************************************************************/
/* funzioni pubbliche */

void TestI2c(int SerialPort);
  /* Tests the I2C bus lines. */

void TestCmos(int SerialPort);
  /* Tests the CMOS camera lines. */

void TestSpi1(int SerialPort);
  /* Tests the SPI 1 lines. */

void TestSpi2(int SerialPort);
  /* Tests the SPI 2 lines. */

void TestSim(int SerialPort);
  /* Tests the SIM card bus lines. */

void TestMshc(int SerialPort);
  /* Tests the MSHC bus lines. */

void TestMmcSd(int SerialPort);
  /* Tests the MMC/SD bus lines. */

void TestUart1(int SerialPort);
  /* Tests the UART 1 lines. */

void TestUart2(int SerialPort);
  /* Tests the UART 2 lines. */

void TestPortA(int SerialPort);
  /* Tests the PORT A lines. */

void TestPortB(int SerialPort);
  /* Tests the PORT B lines. */

void TestPortC(int SerialPort);
  /* Tests the PORT C lines. */

void TestPortD(int SerialPort);
  /* Tests the PORT D lines. */

void TestReadReg(int SerialPort);
  /* Reads all register involved in tests. */

/***************************************************************************/
#endif

/* $Source$ */

